Activity log for bug #1616157

Date Who What changed Old value New value Message
2016-08-23 17:44:44 Michael Vogt bug added bug
2016-08-23 17:54:23 Michael Vogt summary [SRU] 2.0.13 [SRU] 2.13
2016-08-23 17:54:38 Michael Vogt description This is a new version of snapd. The changelog for 2.13 is available here https://github.com/snapcore/snapd/blob/2.13/debian/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.13 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits). The snappy team released a new 2.13 micro release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests. The following automatic tests are run: - travis unit tests https://travis-ci.org/snapcore/snapd/branches (check for 2.13 here) - travis/spread based integration/system tests: https://travis-ci.org/snapcore/snapd/branches (check for 2.13 here under "spread") - jenkins autopkgtests http://162.213.35.179:8080/job/snappy-by-tag-autopkgtest/17/ - jenkins integration tests: http://162.213.35.179:8080/job/snappy-by-tag-integration-test/18/ The following additional tests were performed: """ - adt-buildvm-ubuntu-cloud - customize the resulting image: "sudo apt install snapd && sudo snap install hello-world && hello-world.env && sudo snap remove hello-world" (ensures the base image has the old debs and the daemon has some state) - adt-run --source snapd_2.13.dsc --- adt-virt-qemu adt-xenial-amd64-cloud.img: PASS """ This included the upgrade from 2.0.12 as part of the autopkgtest run. There are also various snaps installed/removed (including installing and running ubuntu-calculator-app in xvfb) and run as part of the auto pkg test, including reboots to ensure that the system keeps working over reboots. After installing the new snapd it was ensured that apt is unaffected by doing: """ - sudo apt install -y hello && sudo apt remove -y hello """ After installing the new snapd gnome-software was used: """ - install "http" (snap) and remove it again """ All worked as expected. This is a new version of snapd. The changelog for 2.13 is available here https://github.com/snapcore/snapd/blob/2.13/debian/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.13 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits). The snappy team released a new 2.13 micro release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests. The following automatic tests are run: - travis unit tests https://travis-ci.org/snapcore/snapd/branches (check for 2.13 here) - travis/spread based integration/system tests: https://travis-ci.org/snapcore/snapd/branches (check for 2.13 here under "spread") - jenkins autopkgtests http://162.213.35.179:8080/job/snappy-by-tag-autopkgtest/17/ - jenkins integration tests: http://162.213.35.179:8080/job/snappy-by-tag-integration-test/18/ The following additional tests were performed: """ - adt-buildvm-ubuntu-cloud - customize the resulting image: "sudo apt install snapd && sudo snap install hello-world && hello-world.env && sudo snap remove hello-world" (ensures the base image has the old debs and the daemon has some state) - adt-run --source snapd_2.13.dsc --- adt-virt-qemu adt-xenial-amd64-cloud.img: PASS """ This included the upgrade from 2.12 as part of the autopkgtest run. There are also various snaps installed/removed (including installing and running ubuntu-calculator-app in xvfb) and run as part of the auto pkg test, including reboots to ensure that the system keeps working over reboots. After installing the new snapd it was ensured that apt is unaffected by doing: """ - sudo apt install -y hello && sudo apt remove -y hello """ After installing the new snapd gnome-software was used: """ - install "http" (snap) and remove it again """ All worked as expected.
2016-08-24 13:54:42 Michael Vogt nominated for series Ubuntu Xenial
2016-08-24 13:54:42 Michael Vogt bug task added snapd (Ubuntu Xenial)
2016-08-24 13:54:58 Michael Vogt bug added subscriber Ubuntu Stable Release Updates Team
2016-08-25 18:18:53 Chris J Arges snapd (Ubuntu Xenial): status New Fix Committed
2016-08-25 18:18:55 Chris J Arges bug added subscriber SRU Verification
2016-08-25 18:19:01 Chris J Arges tags verification-needed
2016-08-25 22:32:53 Launchpad Janitor snapd (Ubuntu): status New Fix Released
2016-08-29 13:26:47 Michael Vogt tags verification-needed verification-done
2016-08-29 14:53:25 Launchpad Janitor snapd (Ubuntu Xenial): status Fix Committed Fix Released
2016-08-29 14:53:37 Chris J Arges removed subscriber Ubuntu Stable Release Updates Team